"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.staticRouter = void 0;
const tslib_1 = require("tslib");
const cors_1 = tslib_1.__importDefault(require("cors"));
const express_1 = tslib_1.__importDefault(require("express"));
const middlewares_1 = require("../middlewares");
const config_1 = require("../initializers/config");
const constants_1 = require("../initializers/constants");
const staticRouter = express_1.default.Router();
exports.staticRouter = staticRouter;
staticRouter.use((0, cors_1.default)());
staticRouter.use(constants_1.STATIC_PATHS.WEBSEED, express_1.default.static(config_1.CONFIG.STORAGE.VIDEOS_DIR, { fallthrough: false }), middlewares_1.handleStaticError);
staticRouter.use(constants_1.STATIC_PATHS.REDUNDANCY, express_1.default.static(config_1.CONFIG.STORAGE.REDUNDANCY_DIR, { fallthrough: false }), middlewares_1.handleStaticError);
staticRouter.use(constants_1.STATIC_PATHS.STREAMING_PLAYLISTS.HLS, express_1.default.static(constants_1.HLS_STREAMING_PLAYLIST_DIRECTORY, { fallthrough: false }), middlewares_1.handleStaticError);
const thumbnailsPhysicalPath = config_1.CONFIG.STORAGE.THUMBNAILS_DIR;
staticRouter.use(constants_1.STATIC_PATHS.THUMBNAILS, express_1.default.static(thumbnailsPhysicalPath, { maxAge: constants_1.STATIC_MAX_AGE.SERVER, fallthrough: false }), middlewares_1.handleStaticError);
//# sourceMappingURL=static.js.map