"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const tslib_1 = require("tslib");
const Sequelize = tslib_1.__importStar(require("sequelize"));
function up(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield utils.queryInterface.addColumn('videoImport', 'videoChannelSyncId', {
            type: Sequelize.INTEGER,
            defaultValue: null,
            allowNull: true,
            references: {
                model: 'videoChannelSync',
                key: 'id'
            },
            onUpdate: 'CASCADE',
            onDelete: 'SET NULL'
        }, { transaction: utils.transaction });
    });
}
exports.up = up;
function down(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield utils.queryInterface.dropTable('videoChannelSync', { transaction: utils.transaction });
    });
}
exports.down = down;
//# sourceMappingURL=0735-video-channel-sync-import-foreign-key.js.map